Subject: Re: [PATCH] gianfar: prevent fragmentation in DSA environments

From: Andrew Lunn <[email-masked]>
Date: Fri, 19 Aug 2016 19:05:03 +0200

> I don't fully understand why GFAR_RXB_SIZE has to be lower than
> that, preventing the HW using all available memory - the freescale
> guys most probably do.

That will be because the cache invalidates in the DMA API are
expensive. There is no point invalidating the whole 2K if you never
make use of the top part. Just invalidate what is actually used.  I
optimised the Intel i210 driver recently along these lines, and my
receive performance went up 6%

     Andrew